Subject: [PATCH 0/2] pcnet32: NAPI support

From: Don Fry <[email-masked]>
Date: Fri, 8 Sep 2006 15:39:09 -0700

These patches to the pcnet32 driver implement NAPI and respond to some
other suggestions found during NAPI development and testing.

The comments from Francois Romieu regarding using spin_lock instead of
spin_lock_irqsave were investigated, but since interrupts have to be
disabled to prevent the interrupt handler from deadlocking, and since I
would probably forget sometime, it is safer to leave the locking as it
is.  The requested mmiowb calls were added.

Please appply to 2.6.19.

1/2 NAPI implementation.
2/2 Magic number cleanup.
-- 
Don Fry
[email-masked]